Package edu.wisc.game.saved

## Class TranscriptManager.ReadTranscriptData.Entry

- java.lang.Object
- - edu.wisc.game.saved.TranscriptManager.ReadTranscriptData.Entry

- Enclosing class:
    TranscriptManager.ReadTranscriptData

      public static class TranscriptManager.ReadTranscriptData.Entry
      extends Object

  Stores the content of one line (representing one move/pick attempt) read back from the transcript file

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `code` | The success code read from the transcript
    `CsvData.BasicLineEntry` | `csv` |
    `String` | `eid` |
    `int` | `k` |
    `int` | `mover` |
    `Episode.Pick` | `pick` | Pick or move, as the case may be
    `String` | `pid` |
    `String` | `timeString` | YYYYMMDD-hhmmss.sss

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Requires the equality of the strings in all columns
    `Date` | `timestamp()` | Parses the timeString value, using the same format that was used to write it

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### csv

          public final CsvData.BasicLineEntry csv

    - #### pid

          public final String pid

    - #### eid

          public final String eid

    - #### k

          public final int k

    - #### timeString

          public final String timeString

      YYYYMMDD-hhmmss.sss

    - #### pick

          public final Episode.Pick pick

      Pick or move, as the case may be

    - #### code

          public final int code

      The success code read from the transcript

    - #### mover

          public final int mover

  - ### Method Detail

    - #### timestamp

          public Date timestamp()

      Parses the timeString value, using the same format that was used to write it

    - #### equals

          public boolean equals​(Object o)

      Requires the equality of the strings in all columns
      Overrides:
        `equals` in class `Object`